%define name svgalib
%define version 1.4.3
%define prefix %{_prefix}
%define release 0.pre.20001010.1mdk

Name: %{name}
Summary: A low-level fullscreen SVGA graphics library
Version: %{version}
Release: %{release}
Exclusivearch: %{ix86}
Exclusiveos: Linux
Copyright: Distributable
Group: System/Libraries
URL: http://www.svgalib.org/
Source:	http://www.cs.bgu.ac.il/~zivav/svgalib/svgalib-%{version}.pre.20001010.tar.bz2
Patch0:	svgalib-1.4.3-config.patch.bz2
Patch1:	svgalib-1.2.13-buildroot.patch.bz2
Patch2:	svgalib-1.4.3-secu.patch.bz2
Patch3: svgalib-1.4.3-default-mouse-type-ps2.patch.bz2
Patch4: svgalib-keyboard.patch.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
The svgalib package provides the SVGAlib low-level graphics library for
Linux. SVGAlib is a library which allows applications to use full screen
graphics on a variety of hardware platforms. Many games and utilities use
SVGAlib for their graphics.

You'll need to have the svgalib package installed if you use any of the
programs which rely on SVGAlib for their graphics support.

%package devel
Summary: Development tools for programs using the SVGAlib graphics library
Group: Development/C
Requires: svgalib

%description devel
The svgalib-devel package contains the libraries and header files needed
to build programs which will use the SVGAlib low-level graphics library.

Install the svgalib-devel package if you want to develop applications
which will use the SVGAlib library. Please take note that SVGAlib is
independent from X Window System. Thus, this package is useless if you
want to develop X11 applications.

%prep

%setup -q
%patch0 -p0
%patch1 -p1 -b .buildroot
%patch2 -p0
%patch3 -p0
# %patch4 -p0

%build
%make static shared OPTIMIZE="$RPM_OPT_FLAGS"

%install
export PATH=/sbin:$PATH
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/vga
mkdir -p $RPM_BUILD_ROOT/{%{_bindir},%{_includedir},%{_libdir},%{_mandir}/man{1,3,5,6,7,8}}
mkdir -p $RPM_BUILD_ROOT/var/lib/svgalib
%makeinstall datadir=$RPM_BUILD_ROOT/etc/vga

%preun
if [ $1 = 0 ]; then
  rm -f /var/lib/svgalib/fontdata
  rm -f /var/lib/svgalib/textregs
fi

%clean
rm -fr $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%config(noreplace) /etc/vga/*
%{_bindir}/*
%doc 0-INSTALL 0-README LICENSE svgalib.lsm
%doc doc/0-README doc/CHANGES doc/CHANGES.mach64 doc/DESIGN doc/Driver-programming-HOWTO doc/README.joystick doc/README.keymap doc/README.patching doc/README.vesa doc/TODO doc/svgalib.lsm
%{_libdir}/libvga.so.*
%{_libdir}/libvgagl.so.*
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man6/*
%{_mandir}/man7/*
%attr(1777,root,root) %dir /var/lib/svgalib

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.so
%{_mandir}/man3/*

%changelog
* Sat Nov  4 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.3-0.pre.20001010.1mdk
- 1.4.3.pre.20001010
- ported patches

* Thu Nov  2 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.4.1-7mdk
- fix to compile with gcc 2.96

* Tue Aug 22 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.1-6mdk
- BM

* Thu Jul 13 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.4.1-5mdk
- patched the config files to have now ps2 as default mouse type
- add (noreplace) to the config files
- specfile cleanup

* Sun Jun 04 2000 David BAUDENS <baudens@mandrakesoft.com> 1.4.1-4mdk
- Really fix %doc

* Wed May 24 2000 David BAUDENS <baudens@mandrakesoft.com> 1.4.1-3mdk
- Fix %doc

* Mon Apr 24 2000 David BAUDENS <baudens@mandrakesoft.com> 1.4.1-2mdk
- Add missing x86 archs
- Use %%{_tmppath} for BuildRoot
- Use spechelper

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 1.4.1-1mdk
- Update 1.4.1

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- back to 1.4.0 stable version.
- big patch for gcc2.95 (hope this doen't break anything :-\).
- Ps: titi sucks.

* Thu Aug 26 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.4.1.pre.19990731

* Fri Aug 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix wrong manpages (Bugs#22).

* Thu Jul 22 1999 Gregus <gregus@etudiant.net>
- fr locale
- added the two last sentences of the english description for svgalib-devel.

* Fri Jul 16 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- 1.4.0-RELEASE

* Tue Jul  6 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- 1.4.0-pre19990705
- fix build for i[456]86 architectures

* Wed Mar 31 1999 Preston Brown <pbrown@redhat.com>
- moved temporary svgalib files to /var/lib/svgalib

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Sun Aug 23 1998 Jeff Johnson <jbj@redhat.com>
- verify dumpreg is not setuid (problem #760)
- specfile fiddles

* Thu Jul 30 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.3.0
- security patch

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- devel package moved to Development/Libraries

* Mon Apr 06 1998 Erik Troan <ewt@redhat.com>
- updated to svgalib 1.2.13
- uses a build root

* Mon Nov  3 1997 Michael Fulbright <msf@redhat.com>
- removed Mach64 from configuration, as the driver does not work

* Tue Oct 14 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

